:mod:`smoke_zephyr.configuration` --- General configuration manager
===================================================================

.. module:: smoke_zephyr.configuration
   :synopsis: General configuration manager

Data
----

.. autodata:: smoke_zephyr.configuration.SERIALIZER_DRIVERS
   :annotation:

.. autodata:: smoke_zephyr.configuration.has_yaml

Classes
-------

.. autoclass:: smoke_zephyr.configuration.Configuration
   :show-inheritance:
   :members:
   :special-members: __init__
   :undoc-members:

.. autoclass:: smoke_zephyr.configuration.MemoryConfiguration
   :show-inheritance:
   :members:
   :special-members: __init__
   :undoc-members:
